getAddressInformation
curl --request GET \
--url https://ton-mainnet.core.chainstack.com/f2a2411bce1e54a2658f2710cd7969c3/api/v2/getAddressInformationimport requests
url = "https://ton-mainnet.core.chainstack.com/f2a2411bce1e54a2658f2710cd7969c3/api/v2/getAddressInformation"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ton-mainnet.core.chainstack.com/f2a2411bce1e54a2658f2710cd7969c3/api/v2/getAddressInformation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": "<string>",
"state": "<string>",
"code": "<string>",
"data": "<string>",
"last_transaction_id": {
"lt": "<string>",
"hash": "<string>"
},
"error": {},
"id": 123
}TON node API
getAddressInformation | TON v2
The getAddressInformation method retrieves information about a specific address on the TON blockchain. Chainstack TON v2 reference.
GET
/
getAddressInformation
getAddressInformation
The
getAddressInformation method retrieves information about a specific address on the TON blockchain. This includes details such as the balance, state, code, and data associated with the address, as well as the last transaction ID.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
TON billing: full (1 RU)This method is always billed as full. See Request units — TON method scope.
Parameters
address(string, required) — The address for which information is being requested. Example:EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2.seqno(int, optional) — the Masterchain seqno. You can get the Masterchain seqno with getMasterchainInfo | TON v2.
seqno:
Shell
curl --request GET \
--url 'https://ton-mainnet.core.chainstack.com/f2a2411bce1e54a2658f2710cd7969c3/api/v2/getAddressInformation?address=EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2&seqno=45792554' \
--header 'accept: application/json'
JSON-RPC example
Shell
curl -X POST \
'https://ton-mainnet.core.chainstack.com/f2a2411bce1e54a2658f2710cd7969c3/api/v2/jsonRPC' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getAddressInformation",
"params": {
"address": "EQDtFpEwcFAEcRe5mLVh2N6C0x-_hJEM7W61_JLnSF74p4q2"
}
}'
Response
balance(string) — The balance of the address.state(string) — The state of the address.code(string) — The code of the address.data(string) — The data of the address.last_transaction_id(object) — The last transaction ID, containing:lt(string) — The logical time of the last transaction.hash(string) — The hash of the last transaction.
error(object) — Error information, if any.id(integer) — The request ID.
Use case
A possible use case for thegetAddressInformation method in TON is for applications that need to display or utilize the current state and balance of a specific address. For example, a wallet application may use this method to show the user’s balance and transaction history.Query Parameters
The address to get information for
Last modified on June 22, 2026
Was this page helpful?